/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. The spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice - we generate some client SDKs automatically:  - [Python](https://framagit.org/framasoft/peertube/clients/python) - [Go](https://framagit.org/framasoft/peertube/clients/go) - [Kotlin](https://framagit.org/framasoft/peertube/clients/kotlin)  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  ## Roles  Accounts are given permissions based on their role. There are three roles on PeerTube: Administrator, Moderator, and User. See the [roles guide](https://docs.joinpeertube.org/#/admin-managing-users?id=roles) for a detail of their permissions.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.4.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package org.peertube.client.models


import com.squareup.moshi.Json

/**
 * 
 * @param startPosition Start position of the element to reorder
 * @param insertAfterPosition New position for the block to reorder, to add the block before the first element
 * @param reorderLength How many element from `startPosition` to reorder
 */

data class InlineObject17 (
    /* Start position of the element to reorder */
    @Json(name = "startPosition")
    val startPosition: kotlin.Int,
    /* New position for the block to reorder, to add the block before the first element */
    @Json(name = "insertAfterPosition")
    val insertAfterPosition: kotlin.Int,
    /* How many element from `startPosition` to reorder */
    @Json(name = "reorderLength")
    val reorderLength: kotlin.Int? = null
)

